:host {
  .image-body {
    max-height: 70vh;
    overflow-y: auto;
  }

  .selected-image {
    ::ng-deep {
      .img-item {
        border: 2.84936px solid #141ED2;
      }
    }
  }

  @media screen and (max-width: 1920px) {
    ::ng-deep {
      .ant-upload-picture-card-wrapper {
        width: 217px !important;
        height: 175px !important;
      }
      .img-upload,.img-upload-hover {
        width: 217px !important;
        height: 175px !important;
      }

      .image-loading-wrap {
        width: 217px !important;
        height: 175px !important;
      }
      .img-item {
        width: 217px !important;
        height: 175px !important;
      }
    }
  }

  @media screen and (max-width: 1556px) {
    ::ng-deep {
      .ant-upload-picture-card-wrapper {
        width: 217px !important;
        height: 175px !important;
      }
      .img-upload,.img-upload-hover {
        width: 217px !important;
        height: 175px !important;
      }

      .image-loading-wrap {
        width: 217px !important;
        height: 175px !important;
      }
      .img-item {
        width: 217px !important;
        height: 175px !important;
      }
    }
  }

  @media screen and (max-width: 1440px) {
    ::ng-deep {
      .ant-upload-picture-card-wrapper {
        width: 206px !important;
        height: 166px !important;
      }
      .img-upload,.img-upload-hover {
        width: 206px !important;
        height: 166px !important;
      }

      .image-loading-wrap {
        width: 206px !important;
        height: 166px !important;
      }
      .img-item {
        width: 206px !important;
        height: 166px !important;
      }
    }
  }

  @media screen and (max-width: 1366px) {
    ::ng-deep {
      .ant-upload-picture-card-wrapper {
        width: 193px !important;
        height: 156px !important;
      }
      .img-upload,.img-upload-hover {
        width: 193px !important;
        height: 156px !important;
      }

      .image-loading-wrap {
        width: 193px !important;
        height: 156px !important;
      }
      .img-item {
        width: 193px !important;
        height: 156px !important;
      }
    }
  }

  @media screen and (max-width: 1280px) {
    ::ng-deep {
      .ant-upload-picture-card-wrapper {
        width: 179px !important;
        height: 145px !important;
      }
      .img-upload,.img-upload-hover {
        width: 179px !important;
        height: 145px !important;
      }

      .image-loading-wrap {
        width: 179px !important;
        height: 145px !important;
      }
      .img-item {
        width: 179px !important;
        height: 145px !important;
      }
    }
  }

  @media screen and (max-width: 1200px) {
    ::ng-deep {
      .upload-description {
        display: none;
      }
    }
  }

  @media screen and (max-width: 1024px) {
    ::ng-deep {
      .ant-upload-picture-card-wrapper {
        width: 137px !important;
        height: 110px !important;
      }
      .img-upload,.img-upload-hover {
        width: 137px !important;
        height: 110px !important;
      }
      .image-loading-wrap {
        width: 137px !important;
        height: 110px !important;
      }
      .img-item {
        width: 137px !important;
        height: 110px !important;
        .upload-description {
          display: none;
        }
      }
    }
  }
}
